#111 Flooding of timeout message

closed
nobody
Murmur (142)
5
2012-10-30
2008-02-10
Pilot_51
No

I think slicer is aware of this problem, but I don't see any tracker item for it and it has been a problem for awhile.

This message, which is seen every 4-5 seconds when it's happening, takes up 787930 lines in my log file which has a total of 814268 lines, mostly because it went unnoticed for 13 days once.
I notice no side-effects of this problem, it is only wasting space on murmur.log.
I have no idea what exactly causes this, but it seems to happen randomly about 30 seconds after a new connection.
To make this message stop flooding, the server needs to be restarted. I usually restart it as soon as I see the message.

Here's some samples from the log:

<W>2007-10-24 17:39:50.879 1 => <53:(-1)> New connection: ...185:63165
<W>2007-10-24 17:39:51.980 1 => <53:(-1)> Connection closed: The remote host closed the connection
<W>2007-10-24 17:39:53.933 1 => <54:(-1)> New connection:
...185:63166
<W>2007-10-24 17:39:55.095 1 => <55:(-1)> New connection: **...185:63164
<W>2007-10-24 17:39:56.206 1 => <54:user1(-1)> Authenticated
<W>2007-10-24 17:40:06.361 1 => <52:user2(-1)> Moved user2 to Sandbox
<W>2007-10-24 17:40:10.076 1 => <54:user1(-1)> Moved user1 to Sandbox
<W>2007-10-24 17:40:28.152 1 => <55:(-1)> Timeout
<W>2007-10-24 17:40:33.660 1 => <55:(-1)> Timeout
<W>2007-10-24 17:40:39.168 1 => <55:(-1)> Timeout

<W>2007-12-17 01:34:29.813 1 => <115:(-1)> New connection: **...195:1891
<W>2007-12-17 01:35:02.500 1 => <115:(-1)> Timeout
<W>2007-12-17 01:35:08.088 1 => <115:(-1)> Timeout
<W>2007-12-17 01:35:13.586 1 => <115:(-1)> Timeout

<W>2008-01-18 16:38:17.016 1 => <3:(-1)> New connection: 192.168.0.102:1809
<W>2008-01-18 16:38:17.227 1 => <3:Pilot_51(1)> Authenticated
<W>2008-01-18 16:38:50.435 1 => <1:(-1)> Timeout
<W>2008-01-18 16:38:55.932 1 => <1:(-1)> Timeout
<W>2008-01-18 16:39:01.440 1 => <1:(-1)> Timeout

<W>2008-01-27 01:38:35.415 1 => <262:Pilot_51(1)> Connection closed: The remote host closed the connection
<W>2008-01-27 01:38:47.562 1 => <372:(-1)> New connection: 192.168.0.102:4646
<W>2008-01-27 01:39:19.989 1 => <373:(-1)> New connection: 192.168.0.102:4646
<W>2008-01-27 01:39:20.830 1 => <372:(-1)> Timeout
<W>2008-01-27 01:39:26.388 1 => <372:(-1)> Timeout
<W>2008-01-27 01:39:31.826 1 => <372:(-1)> Timeout

Related

Bugs: #981

Discussion

  • Thorvald Natvig

    Thorvald Natvig - 2008-02-10

    Logged In: YES
    user_id=20066
    Originator: NO

    Are you absolutely positive this happens when both client and server are 1.1.2?

     
  • Pilot_51

    Pilot_51 - 2008-02-10

    Logged In: YES
    user_id=692105
    Originator: YES

    I update both my client and server at the same time, so if I triggered the last two samples as I think, yes. As for the other clients, I'm not sure what version they were using but in most cases I'll assume they had the same version. The first sample is the first instance that it has happened in the log, which dates back to 1.1.0 and doesn't include snapshots. I just checked the snapshot log and found that it happened on 2007-10-16, which is most likely from the snapshot that was released that same day. Again, the timeout started about 30 seconds after a new connection.

     
  • Thorvald Natvig

    Thorvald Natvig - 2008-02-10

    Logged In: YES
    user_id=20066
    Originator: NO

    You're also missing the mandatory list of OS, OS version, CPU etc etc etc.

     
  • Pilot_51

    Pilot_51 - 2008-02-11

    Logged In: YES
    user_id=692105
    Originator: YES

    Oops.

    Server specs:
    OS: Windows XP Home SP2
    Motherboard: Shuttle AK32L
    CPU: AMD Athlon XP 2000+ 1.67GHz
    RAM: 1.5GB DDR266
    Ethernet card: 3Com 10/100BASE-TX
    Router: D-Link DIR-615 (wired connection)
    Cable modem: D-Link DCM-202
    Hard drive: ATA133 160GB 7200RPM

    That's most of it, but if by chance you need more hardware info (including my client system), it's all listed at http://forums.pilot51.com/viewtopic.php?t=28

     
  • Oshkash

    Oshkash - 2008-02-11

    Logged In: YES
    user_id=2000088
    Originator: NO

    I also noticed this from Yesterday's log on my private server . Just started all of a sudden ???? this computer is running Murmur only , nothing else ?

     
  • Oshkash

    Oshkash - 2008-02-11

    Logged In: YES
    user_id=2000088
    Originator: NO

    ok after some thought last night and a couple of kick butt games of BF2142 it came to me . I've been have problems with a 2142 C.C. program and I found out if I uninstalled all of the 2.0 .net framework than reinstalled just the 2.0 and no UPDATES FOR 2.0 it worked fine , and restarted the server! So I tried it on my Server for Murmur and no more running time out Error ??? So the story to this is Microsoft has F&*%$ up stuff again that no one was expecting them to mess with ????

     
  • Pilot_51

    Pilot_51 - 2008-02-11

    Logged In: YES
    user_id=692105
    Originator: YES

    Was it constantly happening until you did that or have you found a way to reproduce it? I wouldn't know for awhile if that fixes it for me because sometimes it doesn't happen for weeks.

     
  • Oshkash

    Oshkash - 2008-02-14

    Logged In: YES
    user_id=2000088
    Originator: NO

    2 days and no repeats ! LOL looks good to go .

     
  • Pilot_51

    Pilot_51 - 2008-02-14

    Logged In: YES
    user_id=692105
    Originator: YES

    Mine has been running for 8 days straight now without the timeout, but before that it happened twice within 24 hours. I didn't change anything.
    With that said, I'm not convinced of your solution yet. It's just too unpredictable (for me anyway). I could try out your solution (or workaround), but I think I might be on track to finding the steps to reproduce it, so I'd better not.

     
  • Oshkash

    Oshkash - 2008-02-17

    Logged In: YES
    user_id=2000088
    Originator: NO

    9 days and counting

     
  • Pilot_51

    Pilot_51 - 2008-02-18

    Logged In: YES
    user_id=692105
    Originator: YES

    How did you go from 2 days to 9 days in under 4 days?
    I still haven't seen it since I posted this tracker (funny how that works). Coming up on 12 days.
    I'm sort of hoping that it happens more often so I can monitor it and find those repeatable steps sooner.

     
  • Thorvald Natvig

    Thorvald Natvig - 2008-02-22

    Logged In: YES
    user_id=20066
    Originator: NO

    I'll set this pending for now. Reopen it if you can reproduce it with the latest version.

     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • donlac

    donlac - 2009-10-25

    The timeout message problem still exists in 1.1.8. It occurs when a user attempts, but does not complete a connection. A new Timeout message is generated every 15 seconds. In the log fragment below, User2 failed the first connection attempt, then succeeded in the second connection. The system apparently thought connection 1 was still active, but had no user to kick due to timeout.

    <W>2009-10-24 17:51:53.696 1 => <1:(-1)> New connection: 999.999.999.999:99999
    <W>2009-10-24 17:51:53.804 Connection: Failed to add flow to QOS
    <W>2009-10-24 17:51:55.022 1 => <2:(-1)> New connection: 999.999.999.999:99999
    <W>2009-10-24 17:51:56.426 1 => <2:User2(2)> Authenticated
    <W>2009-10-24 17:52:19.892 1 => <3:(-1)> New connection: 999.999.999.998:99999
    <W>2009-10-24 17:52:20.692 1 => <3:User1(1)> Authenticated
    <W>2009-10-24 17:52:23.207 1 => <1:(-1)> Timeout
    <W>2009-10-24 17:52:38.114 1 => <1:(-1)> Timeout
    <W>2009-10-24 17:52:53.630 1 => <1:(-1)> Timeout

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks